From 4c2b97f0f372552380ca29d07f6b4fa2846c2e7f Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Jul 14 2023 01:24:14 +0000
Subject: [PATCH 17/32] [talksoup][gnustep-netclasses]: add packages


---

diff --git a/pcr/gnustep-netclasses/PKGBUILD b/pcr/gnustep-netclasses/PKGBUILD
new file mode 100644
index 0000000..031bf4e
--- /dev/null
+++ b/pcr/gnustep-netclasses/PKGBUILD
@@ -0,0 +1,38 @@
+# Copyright 2023 bill-auger <bill-auger@programmer.net>
+# SPDX-License-Identifier: CC0-1.0
+# Maintainer: bill-auger <bill-auger@programmer.net>
+
+
+# build order: (gnustep-base) <- gnustep-gui <- gnustep-back <- gnustep-netclasses
+
+
+pkgname=gnustep-netclasses
+_upstream_name=netclasses
+pkgrel=1
+pkgver=1.1.0
+pkgdesc="Networking framework for GNUstep"
+arch=(armv7h i686 x86_64)
+url=http://gap.nongnu.org/talksoup/index.html
+license=(GPL2)
+depends=(gnustep-back)
+makedepends=(gcc-objc gnustep-make)
+source=(http://savannah.nongnu.org/download/gap/${_upstream_name}-${pkgver}.tar.gz)
+sha256sums=(d7d783c5b85abb289ef2fbb4bbf709eacb631e6ddf5a78e26fa45b94fb717f40)
+
+
+build()
+{
+  cd ${_upstream_name}-${pkgver}
+
+  export GNUSTEP_MAKEFILES=$(gnustep-config --variable=GNUSTEP_MAKEFILES)
+
+  ./configure
+  make
+}
+
+package()
+{
+  cd ${_upstream_name}-${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+}
diff --git a/pcr/talksoup/PKGBUILD b/pcr/talksoup/PKGBUILD
new file mode 100644
index 0000000..9347eb1
--- /dev/null
+++ b/pcr/talksoup/PKGBUILD
@@ -0,0 +1,41 @@
+# Copyright 2023 bill-auger <bill-auger@programmer.net>
+# SPDX-License-Identifier: CC0-1.0
+# Maintainer: bill-auger <bill-auger@programmer.net>
+
+
+pkgname=talksoup
+_upstream_name=TalkSoup
+pkgrel=1
+pkgver=1.1
+pkgdesc="IRC client for GNUstep"
+arch=(armv7h i686 x86_64)
+url=http://gap.nongnu.org/talksoup/index.html
+license=(GPL2)
+depends=(gnustep-netclasses)
+makedepends=(gcc-objc gnustep-make)
+source=(http://savannah.nongnu.org/download/gap/${_upstream_name}-${pkgver}.tar.gz)
+sha256sums=(3a469c66ce3067a88603d6ebae6f63fbcfad55586dd5455179887f28e5a63ae7)
+
+
+build()
+{
+  cd ${_upstream_name}-${pkgver}
+
+  export GNUSTEP_MAKEFILES=$(gnustep-config --variable=GNUSTEP_MAKEFILES)
+
+  make
+}
+
+package()
+{
+  cd ${_upstream_name}-${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  cd "${pkgdir}"/usr/lib/GNUstep/Applications/${_upstream_name}.app/Resources/
+
+  # install.desktop file to the standard system location
+  install -d "${pkgdir}"/usr/share/applications
+  sed -i 's|^Categories=X-GNUstep;|&Network;Chat;IRCClient;|' ${_upstream_name}.desktop
+  mv ${_upstream_name}.desktop "${pkgdir}"/usr/share/applications/${pkgname}.desktop
+}

